<div class="container">
  <table align="center" class="mat-elevation-z8">
    <tr *ngFor="let row of rows" [ngStyle]="{'height' : minimum((getScreenWidth()*0.3)/columnNumber, (getScreenHeight()*0.3)/rowNumber)-2 + 'px'}" >
      <td id="row{{row}}column{{column}}"
          (click)="onSeatClick(row, column)"
          (mouseenter)="onMouseEnter(row, column)"
          (mouseleave)="onMouseLeave(row, column)"
          [ngClass]="{'selected': selected[row][column],
          'notselected': !selected[row][column],
          'seatspace': cellClasses[row][column] === 'seatspace',
          'empty': cellClasses[row][column] === 'empty',
          'hover': hoveredSectors[row][column],
          'groundfloor': cellClasses[row][column] === 'groundfloor'}"
          *ngFor="let column of columns"
          [ngStyle]="{'width' : minimum((getScreenWidth()*0.3)/columnNumber, (getScreenHeight()*0.3)/rowNumber)-2 + 'px'}"></td>
    </tr>
  </table>
</div>
